class stackdriver::package::debian inherits stackdriver {
    apt::source { 'stackdriver':
        location => 'http://repo.stackdriver.com/apt',
        release => $::lsbdistcodename,
        repos => 'main',
        key_source => 'http://www.stackdriver.com/RPM-GPG-KEY-stackdriver',
        key => '7B190BD2'
    }

    file { '/var/cache/debconf/stackdriver.seeds':
        content => "stackdriver-agent stackdriver-agent/apikey string ${stackdriver_api_key}"
    }

    package { $stackdriver_package:
        ensure => $stackdriver_version,
        responsefile => '/var/cache/debconf/stackdriver.seeds',
        require => [File['/var/cache/debconf/stackdriver.seeds'], Apt::Source['stackdriver']]
    }
}
